"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _assert = _interopRequireDefault(require("assert"));

var _isPlainObject = _interopRequireDefault(require("is-plain-object"));

var _path = require("path");

var _fs = require("fs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default() {
  function getFiles(cwd, pages) {
    const files = [(0, _path.join)(__dirname, '../../../template/document.ejs'), (0, _path.join)(cwd, 'src/page/document.ejs')];

    if (pages) {
      Object.keys(pages).forEach(key => {
        const document = pages[key].document;

        if (document) {
          files.push((0, _path.join)(cwd, document));
        }
      });
    }

    return files;
  }

  return {
    name: 'pages',

    validate(pages) {
      (0, _assert.default)((0, _isPlainObject.default)(pages), `"${this.relativeFile}" 的 "pages" 配置必须是 "Object 对象"，但你配置的是 ${pages.toString()} 。`);
      Object.keys(pages).forEach(key => {
        const document = pages[key].document;

        if (document) {
          (0, _assert.default)((0, _fs.existsSync)((0, _path.join)(this.cwd, document)), `"${this.relativeFile}" 文件中 "${key}" 的模板文件 "${document}" 并不存在。`);
        }
      });
    },

    watch(pages) {
      this.unwatch();
      const files = getFiles(this.cwd, pages);
      this.watch(files).on('all', type => {
        if (type === 'add') return;
        this.reload();
      });
    },

    onChange(newPages) {
      this.reload();
      this.plugin.watch.call(this, newPages);
    }

  };
}

module.exports = exports["default"];