"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _path = require("path");

var _fs = require("fs");

function test(path) {
  return (0, _fs.existsSync)(path) && (0, _fs.statSync)(path).isDirectory();
}

function _default(opts = {}) {
  const cwd = opts.cwd,
        tmpDirectory = opts.tmpDirectory,
        outputPath = opts.outputPath;
  let pagesPath = 'pages';

  if (test((0, _path.join)(cwd, 'src/page'))) {
    pagesPath = 'src/page';
  }

  if (test((0, _path.join)(cwd, 'src/pages'))) {
    pagesPath = 'src/pages';
  }

  const envAffix = process.env.NODE_ENV === 'development' ? '' : `-${process.env.NODE_ENV}`;
  const tmpDirPath = `${pagesPath}/${tmpDirectory}${envAffix}`;
  return {
    cwd,
    outputPath,
    absOutputPath: (0, _path.join)(cwd, outputPath),
    pagesPath,
    absPagesPath: (0, _path.join)(cwd, pagesPath),
    tmpDirPath,
    absTmpDirPath: (0, _path.join)(cwd, tmpDirPath)
  };
}

module.exports = exports["default"];